Index: admin/js/_blog_pref.js
===================================================================
--- admin/js/_blog_pref.js	(revision 3982)
+++ admin/js/_blog_pref.js	(revision 0)
@@ -1,58 +1,21 @@
-/*global $, dotclear, jsToolBar, getData */
-'use strict';
+function checkQueryString() {
+	var blogUrl = $('#blog_url')[0].value;
+	var urlScan = $('#url_scan')[0].value;
+	errorMsg = '';
+	if (/.*[^\/]$/.exec(blogUrl) && urlScan=='path_info') {
+		errorMsg = dotclear.msg.warning_path_info;
+	} else if (/.*[^\?]$/.exec(blogUrl) && urlScan=='query_string') {
+		errorMsg = dotclear.msg.warning_query_string;
+	}
+	$("p#urlwarning").remove();
+	if (errorMsg != '') {
+		$("#blog_url").parents('p').before('<p id="urlwarning" class="error">'+errorMsg+'</p>');
+	}
+}
 
-Object.assign(dotclear.msg, getData('blog_pref'));
 
 $(function() {
-  const blog_url = $('#blog_url');
-  if (blog_url.length > 0 && !blog_url.is(':hidden')) {
-    const checkQueryString = function() {
-      const url = blog_url[0].value;
-      const scan = $('#url_scan')[0].value;
-      let msg = '';
-      if (/.*[^\/]$/.exec(url) && scan == 'path_info') {
-        msg = dotclear.msg.warning_path_info;
-      } else if (/.*[^\?]$/.exec(url) && scan == 'query_string') {
-        msg = dotclear.msg.warning_query_string;
-      }
-      $('p#urlwarning').remove();
-      if (msg != '') {
-        blog_url.parents('p').after(`<p id="urlwarning" class="warning">${msg}</p>`);
-      }
-    };
-    checkQueryString();
-    blog_url.focusout(checkQueryString);
-    $('body').on('change', '#url_scan', checkQueryString);
-  }
-
-  $('#date_format_select,#time_format_select').change(function() {
-    if ($(this).prop('value') == '') {
-      return;
-    }
-    $('#' + $(this).attr('id').replace('_select', '')).prop('value', $(this).prop('value'));
-    $(this).parent().next('.chosen').html($(this).find(':selected').prop('label'));
-  });
-
-  // HTML text editor
-  if (typeof jsToolBar !== 'undefined' && $.isFunction(jsToolBar)) {
-    $('#blog_desc').each(function() {
-      let tbWidgetText = new jsToolBar(this);
-      tbWidgetText.context = 'blog_desc';
-      tbWidgetText.draw('xhtml');
-    });
-  }
-
-  // Hide advanced and plugins prefs sections
-  $('#standard-pref h3').toggleWithLegend($('#standard-pref').children().not('h3'), {
-    legend_click: true,
-    hide: false
-  });
-  $('#advanced-pref h3').toggleWithLegend($('#advanced-pref').children().not('h3'), {
-    legend_click: true,
-    user_pref: 'dcx_blog_pref_adv',
-  });
-  $('#plugins-pref h3').toggleWithLegend($('#plugins-pref').children().not('h3'), {
-    legend_click: true,
-    user_pref: 'dcx_blog_pref_plg',
-  });
+	checkQueryString();
+	$('#blog_url').focusout(checkQueryString);
+	$('#url_scan').live("change",checkQueryString);
 });
Index: admin/js/_blog_theme.js
===================================================================
--- admin/js/_blog_theme.js	(revision 3880)
+++ admin/js/_blog_theme.js	(revision 0)
@@ -1,89 +1,71 @@
-/*global $, dotclear */
-'use strict';
-
 $(function() {
-  // expend theme info
-  $('.module-sshot').not('.current-theme .module-sshot').each(function() {
-    const bar = $('<div>').addClass('bloc-toggler');
-    $(this).after(
-      $(bar).toggleWithLegend($(this).parent().children('.toggle-bloc'), {
-        img_on_txt: dotclear.img_plus_theme_txt,
-        img_on_alt: dotclear.img_plus_theme_alt,
-        img_off_txt: dotclear.img_minus_theme_txt,
-        img_off_alt: dotclear.img_minus_theme_alt,
-        legend_click: true
-      }));
-    $(this).children('img').click(function() {
-      // Click on theme thumbnail
-      $(this).parent().parent().children('.bloc-toggler').click();
-    });
-  });
-
-  // dirty short search blocker
-  $('div.modules-search form input[type=submit]').click(function() {
-    const mlen = $('input[name=m_search]', $(this).parent()).val();
-    if (mlen.length > 2) {
-      return true;
-    } else {
-      return false;
-    }
-  });
-
-  // checkboxes selection
-  $('.checkboxes-helpers').each(function() {
-    dotclear.checkboxesHelpers(this);
-  });
-
-  // actions tests
-  $('.modules-form-actions').each(function() {
-    const rxActionType = /^[^\[]+/;
-    const rxActionValue = /([^\[]+)\]$/;
-    const checkboxes = $(this).find('input[type=checkbox]');
-
-    // check if submit is a global action or one line action
-    $('input[type=submit]', this).click(function() {
-      const keyword = $(this).attr('name');
-      if (!keyword) {
-        return true;
-      }
-      const maction = keyword.match(rxActionType);
-      const action = maction[0];
-      const mvalues = keyword.match(rxActionValue);
-
-      // action on multiple modules
-      if (!mvalues) {
-        let checked = false;
-
-        // check if there is checkboxes in form
-        if (checkboxes.length > 0) {
-          // check if there is at least one checkbox checked
-          $(checkboxes).each(function() {
-            if (this.checked) {
-              checked = true;
-            }
-          });
-          if (!checked) {
-            //alert(dotclear.msg.no_selection);
-            return false;
-          }
-        }
-
-        // confirm delete
-        if (action == 'delete') {
-          return window.confirm(dotclear.msg.confirm_delete_themes);
-        }
-
-        // action on one module
-      } else {
-        const module = mvalues[1];
-
-        // confirm delete
-        if (action == 'delete') {
-          return window.confirm(dotclear.msg.confirm_delete_theme.replace('%s', module));
-        }
-      }
-
-      return true;
-    });
-  });
+	$('#themes-actions').hide();
+	var submit_s = $('#themes-actions input[name=select]');
+	var submit_r = $('#themes-actions input[name=remove]');
+	
+	var details = $('#themes div.theme-details');
+	$('div.theme-actions',details).hide();
+	$('input:radio',details).hide();
+	$('div.theme-info span, div.theme-info a',details).hide();
+	details.removeClass('theme-details').addClass('theme-details-js');
+	
+	var themes_wrapper = $('<div id="themes-wrapper"></div>');
+	var theme_box = $('<div id="theme-box"><div</div>');
+	$('#themes').wrap(themes_wrapper).before(theme_box);
+	
+	details.each(function() {
+		var box = this;
+		var a = $(document.createElement('a'));
+		a.attr('href','#');
+		a.attr('title',$('>div h3>label',this).text());
+		$(box).wrap(a);
+		$(box).parent().click(function(event) {
+			update_box(box);
+			event.preventDefault();
+			return false;
+		});
+	});
+	
+	function update_box(e) {
+		theme_box.empty();
+		var img = $('div.theme-shot',e).clone();
+		var info = $('div.theme-info',e).clone();
+		
+		if ($(e).hasClass('current-theme')) {
+			var actions = $('div.theme-actions',e).clone();
+			actions.show();
+		} else {
+			var actions = $('<div class="theme-actions"></div>');
+			if (submit_s.length > 0  && !$('input:radio',info).attr('disabled')) {
+				var select = $('<a href="#" class="button">' + dotclear.msg.use_this_theme + '</a>');
+				select.css('font-weight','bold').click(function() {
+					submit_s.click();
+					return false;
+				});
+				actions.append(select).append('&nbsp;&nbsp;');
+			}
+			if (submit_r.length > 0 && $('input:radio',info).attr('id') != 'theme_default') {
+				var remove = $('<a href="#" class="button">' + dotclear.msg.remove_this_theme + '</a>');
+				remove.click(function() {
+					var t_name = $(this).parents('#theme-box').find('div.theme-info h3:first').text();
+					t_name = $.trim(t_name);
+					if (window.confirm(dotclear.msg.confirm_delete_theme.replace('%s',t_name))) {
+						submit_r.click();
+					}
+					return false;
+				});
+				actions.append(remove);
+			}
+		}
+		
+		$('input:radio',info).remove();
+		$('span, a',info).show();
+		
+		theme_box.append(img).append(info).append(actions);
+		details.removeClass('theme-selected');
+		$(e).addClass('theme-selected');
+		$('input:radio',e).attr('checked','checked');
+	}
+	
+	update_box(details[0]);
 });
Index: admin/js/_categories.js
===================================================================
--- admin/js/_categories.js	(revision 3706)
+++ admin/js/_categories.js	(revision 0)
@@ -1,26 +1,14 @@
-/*global $, dotclear */
-'use strict';
+/* TODO: Some nice drag and drop on categories */
+$(function() {
+	$('form#delete-category').submit(function() {
+		var c_id = $('#del_cat').val();
+		var c_name = $('#del_cat option[value='+c_id+']').text();
+		return window.confirm(dotclear.msg.confirm_delete_category.replace('%s',c_name));
+	});
+});
 
 $(function() {
-  if ($.fn.nestedSortable !== undefined) {
-    $('#categories ul li').css('cursor', 'move');
-    $('#save-set-order').prop('disabled', true).addClass('disabled');
-    $('#categories ul').nestedSortable({
-      listType: 'ul',
-      items: 'li',
-      placeholder: 'placeholder',
-      update: function() {
-        $('#categories_order').attr('value', JSON.stringify($('#categories ul').nestedSortable('toArray')));
-        $('#save-set-order').prop('disabled', false).removeClass('disabled');
-      }
-    });
-  }
-
-  $('input[name^="delete"]').click(function() {
-    return window.confirm(dotclear.msg.confirm_delete_category.replace('%s', $(this).parents('li').first().find('.cat-title label a').text()));
-  });
-
-  $('input[name="reset"]').click(function() {
-    return window.confirm(dotclear.msg.confirm_reorder_categories);
-  });
+	$('form#reset-order').submit(function() {
+		return window.confirm(dotclear.msg.confirm_reorder_categories);
+	});
 });
Index: admin/js/_category.js
===================================================================
--- admin/js/_category.js	(revision 3936)
+++ admin/js/_category.js	(revision 0)
@@ -1,11 +1,6 @@
-/*global $, dotclear, jsToolBar */
-'use strict';
-
 $(function() {
-  dotclear.hideLockable();
-
-  if (typeof jsToolBar !== 'undefined' && $.isFunction(jsToolBar)) {
-    const tbCategory = new jsToolBar(document.getElementById('cat_desc'));
-    tbCategory.draw('xhtml');
-  }
+	dotclear.hideLockable();
+	
+	var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
+	tbCategory.draw('xhtml');
 });
Index: admin/js/_comment.js
===================================================================
--- admin/js/_comment.js	(revision 3936)
+++ admin/js/_comment.js	(revision 0)
@@ -1,11 +1,8 @@
-/*global $, dotclear, jsToolBar */
-'use strict';
-
 $(function() {
-  if (typeof jsToolBar !== 'undefined' && $.isFunction(jsToolBar)) {
-		const tbComment = new jsToolBar(document.getElementById('comment_content'));
-		tbComment.draw('xhtml');
-	}
-
+	if (!document.getElementById) { return; }
+	
+	var tbComment = new jsToolBar(document.getElementById('comment_content'));
+	tbComment.draw('xhtml');
+	
 	$('#comment-form input[name="delete"]').click(function() {
 		return window.confirm(dotclear.msg.confirm_delete_comment);
Index: admin/js/_comments.js
===================================================================
--- admin/js/_comments.js	(revision 4007)
+++ admin/js/_comments.js	(revision 0)
@@ -1,60 +1,85 @@
-/*global $, dotclear */
-'use strict';
+dotclear.commentExpander = function(line) {
+	var td = line.firstChild;
+	
+	var img = document.createElement('img');
+	img.src = dotclear.img_plus_src;
+	img.alt = dotclear.img_plus_alt;
+	img.className = 'expand';
+	$(img).css('cursor','pointer');
+	img.line = line;
+	img.onclick = function() { dotclear.viewCommentContent(this,this.line); };
+	
+	td.insertBefore(img,td.firstChild);
+};
 
-dotclear.viewCommentContent = function(line, action, e) {
-  action = action || 'toggle';
-  if ($(line).attr('id') == undefined) {
-    return;
-  }
-
-  const commentId = $(line).attr('id').substr(1);
-  const lineId = `ce${commentId}`;
-  let tr = document.getElementById(lineId);
-
-  // If meta key down or it's a spam then display content HTML code
-  const clean = (e.metaKey || $(line).hasClass('sts-junk'));
-
-  if (!tr) {
-    // Get comment content if possible
-    dotclear.getCommentContent(commentId, function(content) {
-      if (content) {
-        // Content found
-        tr = document.createElement('tr');
-        tr.id = lineId;
-        const td = document.createElement('td');
-        td.colSpan = $(line).children('td').length;
-        td.className = 'expand';
-        tr.appendChild(td);
-        $(td).append(content);
-        $(line).addClass('expand');
-        line.parentNode.insertBefore(tr, line.nextSibling);
-      } else {
-        // No content, content not found or server error
-        $(line).removeClass('expand');
-      }
-    }, {
-      clean: clean
-    });
-  } else {
-    $(tr).toggle();
-    $(line).toggleClass('expand');
-  }
+dotclear.viewCommentContent = function(img,line) {
+	var commentId = line.id.substr(1);
+	
+	var tr = document.getElementById('ce'+commentId);
+	
+	if (!tr) {
+		tr = document.createElement('tr');
+		tr.id = 'ce'+commentId;
+		var td = document.createElement('td');
+		td.colSpan = 6;
+		td.className = 'expand';
+		tr.appendChild(td);
+		
+		img.src = dotclear.img_minus_src;
+		img.alt = dotclear.img_minus_alt;
+		
+		// Get comment content
+		$.get('services.php',{f:'getCommentById',id: commentId},function(data) {
+			var rsp = $(data).children('rsp')[0];
+			
+			if (rsp.attributes[0].value == 'ok') {
+				var comment = $(rsp).find('comment_display_content').text();
+				
+				if (comment) {
+					$(td).append(comment);
+					var comment_email = $(rsp).find('comment_email').text();
+					var comment_site = $(rsp).find('comment_site').text();
+					var comment_ip = $(rsp).find('comment_ip').text();
+					var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
+					
+					$(td).append('<p><strong>' + dotclear.msg.website +
+					'</strong> ' + comment_site + '<br />' +
+					'<strong>' + dotclear.msg.email + '</strong> ' + comment_email + '<br />' +
+					'<strong>' + dotclear.msg.ip_address +
+					'</strong> <a href="comments.php?ip=' + comment_ip + '">' + comment_ip + '</a>' +
+					'<br />' + comment_spam_disp + '</p>');
+				}
+			} else {
+				alert($(rsp).find('message').text());
+			}
+		});
+		
+		$(line).toggleClass('expand');
+		line.parentNode.insertBefore(tr,line.nextSibling);
+	}
+	else if (tr.style.display == 'none')
+	{
+		$(tr).toggle();
+		$(line).toggleClass('expand');
+		img.src = dotclear.img_minus_src;
+		img.alt = dotclear.img_minus_alt;
+	}
+	else
+	{
+		$(tr).toggle();
+		$(line).toggleClass('expand');
+		img.src = dotclear.img_plus_src;
+		img.alt = dotclear.img_plus_alt;
+	}
 };
 
 $(function() {
-  $.expandContent({
-    line: $('#form-comments tr:not(.line)'),
-    lines: $('#form-comments tr.line'),
-    callback: dotclear.viewCommentContent
-  });
-  $('.checkboxes-helpers').each(function() {
-    dotclear.checkboxesHelpers(this, undefined, '#form-comments td input[type=checkbox]', '#form-comments #do-action');
-  });
-  $('#form-comments td input[type=checkbox]').enableShiftClick();
-  dotclear.commentsActionsHelper();
-  dotclear.condSubmit('#form-comments td input[type=checkbox]', '#form-comments #do-action');
-  dotclear.responsiveCellHeaders(document.querySelector('#form-comments table'), '#form-comments table', 1);
-  $('form input[type=submit][name=delete_all_spam]').click(function() {
-    return window.confirm(dotclear.msg.confirm_spam_delete);
-  });
+	$('#form-comments tr.line').each(function() {
+		dotclear.commentExpander(this);
+	});
+	$('.checkboxes-helpers').each(function() {
+		dotclear.checkboxesHelpers(this);
+	});
+	$('#form-comments td input[type=checkbox]').enableShiftClick();
+	dotclear.commentsActionsHelper();
 });
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 3967)
+++ admin/js/_index.js	(revision 0)
@@ -1,265 +1,69 @@
-/*global $, dotclear, jsToolBar, getData */
-'use strict';
-
-dotclear.dbCommentsCount = function() {
-  const params = {
-    f: 'getCommentsCount',
-    xd_check: dotclear.nonce,
-  };
-  $.get('services.php', params, function(data) {
-    if ($('rsp[status=failed]', data).length > 0) {
-      // For debugging purpose only:
-      // console.log($('rsp',data).attr('message'));
-      window.console.log('Dotclear REST server error');
-    } else {
-      const nb = $('rsp>count', data).attr('ret');
-      if (nb != dotclear.dbCommentsCount_Counter) {
-        // First pass or counter changed
-        const icon = $('#dashboard-main #icons p a[href="comments.php"]');
-        if (icon.length) {
-          // Update count if exists
-          const nb_label = icon.children('span.db-icon-title');
-          if (nb_label.length) {
-            nb_label.text(nb);
-          }
-        }
-        // Store current counter
-        dotclear.dbCommentsCount_Counter = nb;
-      }
-    }
-  });
-};
-dotclear.dbPostsCount = function() {
-  const params = {
-    f: 'getPostsCount',
-    xd_check: dotclear.nonce,
-  };
-  $.get('services.php', params, function(data) {
-    if ($('rsp[status=failed]', data).length > 0) {
-      // For debugging purpose only:
-      // console.log($('rsp',data).attr('message'));
-      window.console.log('Dotclear REST server error');
-    } else {
-      const nb = $('rsp>count', data).attr('ret');
-      if (nb != dotclear.dbPostsCount_Counter) {
-        // First pass or counter changed
-        const icon = $('#dashboard-main #icons p a[href="posts.php"]');
-        if (icon.length) {
-          // Update count if exists
-          const nb_label = icon.children('span.db-icon-title');
-          if (nb_label.length) {
-            nb_label.text(nb);
-          }
-        }
-        // Store current counter
-        dotclear.dbPostsCount_Counter = nb;
-      }
-    }
-  });
-};
 $(function() {
-  function quickPost(f, status) {
-    if (typeof jsToolBar !== 'undefined' && $.isFunction(jsToolBar) && contentTb.getMode() == 'wysiwyg') {
-      contentTb.syncContents('iframe');
-    }
-
-    const params = {
-      f: 'quickPost',
-      xd_check: dotclear.nonce,
-      post_title: $('#post_title', f).val(),
-      post_content: $('#post_content', f).val(),
-      cat_id: $('#cat_id', f).val(),
-      post_status: status,
-      post_format: $('#post_format', f).val(),
-      post_lang: $('#post_lang', f).val(),
-      new_cat_title: $('#new_cat_title', f).val(),
-      new_cat_parent: $('#new_cat_parent', f).val()
-    };
-
-    $('p.qinfo', f).remove();
-
-    $.post('services.php', params, function(data) {
-      let msg;
-      if ($('rsp[status=failed]', data).length > 0) {
-        msg = '<p class="qinfo"><strong>' + dotclear.msg.error +
-          '</strong> ' + $('rsp', data).text() + '</p>';
-      } else {
-        msg = '<p class="qinfo">' + dotclear.msg.entry_created +
-          ' - <a href="post.php?id=' + $('rsp>post', data).attr('id') + '">' +
-          dotclear.msg.edit_entry + '</a>';
-        if ($('rsp>post', data).attr('post_status') == 1) {
-          msg += ' - <a href="' + $('rsp>post', data).attr('post_url') + '">' +
-            dotclear.msg.view_entry + '</a>';
-        }
-        msg += '</p>';
-        $('#post_title', f).val('');
-        $('#post_content', f).val('');
-        $('#post_content', f).change();
-        if (typeof jsToolBar !== 'undefined' && $.isFunction(jsToolBar) && contentTb.getMode() == 'wysiwyg') {
-          contentTb.syncContents('textarea');
-        }
-        $('#cat_id', f).val('0');
-        $('#new_cat_title', f).val('');
-        $('#new_cat_parent', f).val('0');
-      }
-
-      $('fieldset', f).prepend(msg);
-    });
-  }
-
-  const f = $('#quick-entry');
-  if (f.length > 0) {
-    if (typeof jsToolBar !== 'undefined' && $.isFunction(jsToolBar)) {
-      var contentTb = new jsToolBar($('#post_content', f)[0]);
-      contentTb.switchMode($('#post_format', f).val());
-    }
-
-    $('input[name=save]', f).click(function() {
-      quickPost(f, -2);
-      return false;
-    });
-
-    if ($('input[name=save-publish]', f).length > 0) {
-      var btn = $('<input type="submit" value="' + $('input[name=save-publish]', f).val() + '" />');
-      $('input[name=save-publish]', f).remove();
-      $('input[name=save]', f).after(btn).after(' ');
-      btn.click(function() {
-        quickPost(f, 1);
-        return false;
-      });
-    }
-
-    $('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
-      // no cookie on new category as we don't use this every day
-      legend_click: true
-    });
-  }
-
-  // allow to hide quick entry div, and remember choice
-  $('#quick h3').toggleWithLegend($('#quick').children().not('h3'), {
-    legend_click: true,
-    user_pref: 'dcx_quick_entry'
-  });
-
-  // check if core update available
-  let params = {
-    f: 'checkCoreUpdate',
-    xd_check: dotclear.nonce
-  };
-  $.post('services.php', params, function(data) {
-    if ($('rsp[status=failed]', data).length > 0) {
-      // Silently fail as a forced checked my be done with admin update page
-    } else {
-      if ($('rsp>update', data).attr('check') == 1) {
-        // Something has to be displayed
-        const xml = $('rsp>update', data).attr('ret');
-        $('#content h2').after(xml);
-        // manage outgoing links
-        dotclear.outgoingLinks('#ajax-update a');
-      }
-    }
-  });
-
-  // check if some news are available
-  params = {
-    f: 'checkNewsUpdate',
-    xd_check: dotclear.nonce
-  };
-  $.post('services.php', params, function(data) {
-    if ($('rsp[status=failed]', data).length > 0) {
-      // Silently fail
-    } else {
-      if ($('rsp>news', data).attr('check') == 1) {
-        // Something has to be displayed
-        const xml = $('rsp>news', data).attr('ret');
-        if ($('#dashboard-boxes').length == 0) {
-          // Create the #dashboard-boxes container
-          $('#dashboard-main').append('<div id="dashboard-boxes"></div>');
-        }
-        if ($('#dashboard-boxes div.db-items').length == 0) {
-          // Create the #dashboard-boxes div.db-items container
-          $('#dashboard-boxes').prepend('<div class="db-items"></div>');
-        }
-        $('#dashboard-boxes div.db-items').prepend(xml);
-        // manage outgoing links
-        dotclear.outgoingLinks('#ajax-news a');
-      }
-    }
-  });
-
-  // run counters' update on some dashboard icons
-  // Comments (including everything)
-  if ($('#dashboard-main #icons p a[href="comments.php"]').length) {
-    // Icon exists on dashboard
-    // First pass
-    dotclear.dbCommentsCount();
-    // Then fired every 60 seconds (1 minute)
-    dotclear.dbCommentsCount_Timer = setInterval(dotclear.dbCommentsCount, 60 * 1000);
-  }
-  // Posts
-  if ($('#dashboard-main #icons p a[href="posts.php"]').length) {
-    // Icon exists on dashboard
-    // First pass
-    dotclear.dbPostsCount();
-    // Then fired every 600 seconds (10 minutes)
-    dotclear.dbPostsCount_Timer = setInterval(dotclear.dbPostsCount, 600 * 1000);
-  }
-
-  if (!dotclear.data.noDragDrop) {
-    // Dashboard boxes and their children are sortable
-    const set_positions = function(sel, id) {
-      const list = $(sel).sortable("toArray").join();
-      // Save positions (via services) for id
-      const params = {
-        f: 'setDashboardPositions',
-        xd_check: dotclear.nonce,
-        id: id,
-        list: list
-      };
-      $.post('services.php', params, function() {});
-    };
-    const init_positions = function(sel, id) {
-      $(sel).sortable({
-        cursor: 'move',
-        opacity: 0.5,
-        delay: 200,
-        distance: 10,
-        tolerance: "pointer",
-        update: function() {
-          set_positions(sel, id);
-        },
-        start: function() {
-          $(sel).addClass('sortable-area');
-        },
-        stop: function() {
-          $(sel).removeClass('sortable-area');
-        }
-      });
-    };
-    const reset_positions = function(sel) {
-      $(sel).sortable('destroy');
-    };
-    // List of sortable areas
-    const areas = [
-      ['#dashboard-main', 'main_order'],
-      ['#dashboard-boxes', 'boxes_order'],
-      ['#db-items', 'boxes_items_order'],
-      ['#db-contents', 'boxes_contents_order']
-    ];
-    // Set or reset sortable depending on #dragndrop checbkox value
-    $('#dragndrop').click(function() {
-      Object.assign(dotclear, getData('dotclear_dragndrop'));
-      if ($(this).is(':checked')) {
-        // Activate sorting feature
-        areas.forEach(element => init_positions(element[0], element[1]));
-        $(this).prop('title', dotclear.dragndrop_on);
-        $('#dragndrop-label').text(dotclear.dragndrop_on);
-      } else {
-        // Deactivate sorting feature
-        areas.forEach(element => reset_positions(element[0]));
-        $(this).prop('title', dotclear.dragndrop_off);
-        $('#dragndrop-label').text(dotclear.dragndrop_off);
-      }
-    });
-  }
+	var f = $('#quick-entry');
+	if (f.length > 0) {
+		var contentTb = new jsToolBar($('#post_content',f)[0]);
+		contentTb.switchMode($('#post_format',f).val());
+		
+		$('input[name=save]',f).click(function() {
+			quickPost(f,-2);
+			return false;
+		});
+		
+		if ($('input[name=save-publish]',f).length > 0) {
+			var btn = $('<input type="submit" class="submit" value="' + $('input[name=save-publish]',f).val() + '" tabindex="3" />');
+			$('input[name=save-publish]',f).remove();
+			$('input[name=save]',f).after(btn).after(' ');
+			btn.click(function() {
+				quickPost(f,1);
+				return false;
+			});
+		}
+		
+		function quickPost(f,status) {
+			if (contentTb.getMode() == 'wysiwyg') {
+				contentTb.syncContents('iframe');
+			}
+			
+			var params = {
+				f: 'quickPost',
+				xd_check: dotclear.nonce,
+				post_title: $('#post_title',f).val(),
+				post_content: $('#post_content',f).val(),
+				cat_id: $('#cat_id',f).val(),
+				post_status: status,
+				post_format: $('#post_format',f).val(),
+				post_lang: $('#post_lang',f).val()
+			}
+			
+			$('p.qinfo',f).remove();
+			
+			$.post('services.php',params,function(data) {
+				if ($('rsp[status=failed]',data).length > 0) {
+					var msg = '<p class="qinfo"><strong>' + dotclear.msg.error +
+					'</strong> ' + $('rsp',data).text() + '</p>';
+				} else {
+					var msg = '<p class="qinfo">' + dotclear.msg.entry_created +
+					' - <a href="post.php?id=' + $('rsp>post',data).attr('id') + '">' +
+					dotclear.msg.edit_entry + '</a>';
+					if ($('rsp>post',data).attr('post_status') == 1) {
+						msg += ' - <a href="' + $('rsp>post',data).attr('post_url') + '">' +
+						dotclear.msg.view_entry + '</a>';
+					}
+					msg += '</p>';
+					$('#post_title',f).val('');
+					$('#post_content',f).val('');
+					if (contentTb.getMode() == 'wysiwyg') {
+						contentTb.syncContents('textarea');
+					}
+				}
+				
+				$('fieldset',f).prepend(msg);
+			});
+		}
+	}
+	
+	// allow to hide quick entry div, and remember choice
+	$('#quick h3').toggleWithLegend($('#quick').children().not('h3'),{
+		cookie: 'dcx_quick_entry',
+	});
 });
Index: admin/js/_langs.js
===================================================================
--- admin/js/_langs.js	(revision 3880)
+++ admin/js/_langs.js	(revision 0)
@@ -1,8 +1,5 @@
-/*global $, dotclear */
-'use strict';
-
 $(function() {
 	$('table.plugins form input[type=submit][name=delete]').click(function() {
-		const l_name = $(this).parents('tr.line').find('td:first').text();
+		var l_name = $(this).parents('tr.line').find('td:first').text();
 		return window.confirm(dotclear.msg.confirm_delete_lang.replace('%s',l_name));
 	});
